Changeset 113892 in spip-zone


Ignore:
Timestamp:
Feb 13, 2019, 10:41:02 AM (5 days ago)
Author:
root
Message:

Si un afficher_si porte sur un fieldest,
supprimer l'attribut require de tout les input dedans, et pas seulement
ceux de premier niveau, puisque de toute facon les inputs sont forcément
dans un div englobant.
Merci à 1138 pour le signalement.
https://contrib.spip.net/Formidable-le-generateur-de-formulaires#comment500015-500011

Location:
_plugins_/saisies/trunk
Files:
2 edited

Legend:

Unmodified
Added
Removed
  • _plugins_/saisies/trunk/inc/saisies_afficher_si.php

    r113891 r113892  
    123123                        if (html5_permis()) {
    124124                        $pour_html_5 =  "$sel.obligatoire > input, "// si le afficher_si porte directement sur le input
    125                                                         ."$sel .obligatoire > input, "// si le afficher_si porte sur le fieldset
     125                                                        ."$sel .obligatoire input, "// si le afficher_si porte sur le fieldset, tous les input dedans sont concernés, quelque soit leur profondeur (ce qui inclut notamment les cas complexe, type radio ou date)
    126126                                                        ."$sel.obligatoire > textarea, "// si le afficher_si porte directement sur le textearea
    127127                                                        ."$sel .obligatoire > textarea, "// si le afficher_si porte sur le fiedset
  • _plugins_/saisies/trunk/paquet.xml

    r113875 r113892  
    22        prefix="saisies"
    33        categorie="outil"
    4         version="3.13.2"
     4        version="3.13.3"
    55        etat="stable"
    66        compatibilite="[3.0.0;3.2.*]"
Note: See TracChangeset for help on using the changeset viewer.